Referral Confirm Cancelled Detailed

Page View

Order notifications contain details about any order placed by your connection’s system to your organization. This could include device, medication, service, or referral requests, depending on what your organization provides or manages for patients.

For standard FHIR®, you can receive notifications when an order is created, cancelled, or updated.

For 360X workflows, you can receive notifications about your referral statuses or receive a referral from your connection.

cancelled

Open beta feature

This is an open beta feature, which means you won’t see it available in your organization until you opt in. If you’re interested in joining this beta, talk to a Redoxer to find out if you’d be a good fit.

Confirms that an existing patient referral has been cancelled as requested.

This notification includes this bundle of resources:

Required

  • Procedure
  • Patient

Optional

  • Composition
  • DocumentReference
  • Organization
  • Practitioner
  • ServiceRequest
No lightweight notifications

There’s no lightweight version of this notification type because it relies on DirectTrust’s 360 Exchange for Closed Loop Referrals (360X) specs. Learn more about 360X.

Select payload example

ReferralConfirmCancelledFullBundleExample
json
1
{
2
"resourceType": "Bundle",
3
"id": "ReferralConfirmCancelledFullBundleExample",
4
"type": "message",
5
"entry": [
6
{
7
"resource": {
8
"eventUri": "https://fhir.redoxengine.com/EventDefinition/ReferralConfirmCancelled",
9
"resourceType": "MessageHeader",
10
"id": "919bf32f-5478-5975-928a-0056dc310c34",
11
"focus": [
12
{
13
"reference": "ServiceRequest/example-referral"
14
}
15
],
16
"source": {
17
"name": "Good Health Clinics",
18
"endpoint": "mailto:receiving-provider@direct.example.com"
19
},
20
"destination": [
21
{
22
"endpoint": "mailto:goodhealthclinics@direct.redoxengine.com"
23
}
24
],
25
"definition": "https://fhir.redoxengine.com/MessageDefinition/ReferralConfirmCancelledFull"
26
},
27
"fullUrl": "urn:uuid:919bf32f-5478-5975-928a-0056dc310c34"
28
}
29
],
30
"timestamp": "2026-03-24T12:05:00.000Z"
31
}

Request Body Schema

    Bundle sent as part of a referral-confirm-cancelled event

  • resourceType
    required, string

    Identifies the type of the resource

    Value: Bundle
  • type
    required, string

    Indicates the purpose of this bundle - how it is intended to be used.

    Value: message
  • entry
    required, Array of messageHeader or Other

    An entry in the bundle containing a FHIR resource

    • resource
      object

      The Resource for the entry. The purpose/meaning of the resource is determined by the Bundle.type.

      • resourceType
        required, string

        Identifies the type of the resource

        Value: MessageHeader
      • source
        required, object

        The source application from which this message originated.

        • endpoint
          required, string

          Identifies the routing target to send acknowledgements to.

        • name
          string

          Human-readable name for the source system.

      • focus
        required, Array of object

        The actual data of the message - a reference to the root/focus class of the event.

        Must be a resource of type Resource.

        • reference
          string

          A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with # and refers to a contained resource.

      • definition
        required, string

        Permanent link to the MessageDefinition for this message.

      • eventUri
        required, string

        Code that identifies the event this message represents and connects it with its definition. Events defined as part of the FHIR specification have the system value http://terminology.hl7.org/CodeSystem/message-events. Alternatively uri to the EventDefinition.

        Value: https://fhir.redoxengine.com/EventDefinition/ReferralConfirmCancelled
      • eventCoding
        required, object

        This describes the message being communicated

        • system
          string

          The identification of the code system that defines the meaning of the symbol in the code.

        • code
          string

          A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination).

      • destination
        Array of object

        The destination(s) for the message, including the Direct Address of the intended recipient.

        • endpoint
          required, string

          The Direct Address of the intended message recipient (DirectAddressTo). For messages received via DirectTrust, this identifies the target direct address.

  • timestamp
    string

    The date/time that the bundle was assembled - i.e. when the resources were placed in the bundle.

FHIR® is a registered trademark of Health Level Seven International (HL7) and is used with the permission of HL7. Use of this trademark does not constitute an endorsement of products/services by HL7®.